org.eclipse.net4j.util.container

## Interface IContainerEventVisitor.Filtered<E>

- All Superinterfaces:
    IContainerEventVisitor<E>
  Enclosing interface:
    IContainerEventVisitor<E>

      public static interface IContainerEventVisitor.Filtered<E>
      extends IContainerEventVisitor<E>

  An extension interface for `container event visitors` that can `filter` deltas from being visited.
  Author:
    Eike Stepper
  See Also:
    `IContainerEvent.accept(IContainerEventVisitor)`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainerEventVisitor

      `IContainerEventVisitor.Filtered<E>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `filter(E element)`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainerEventVisitor

      `added, removed`

- - ### Method Detail

    - #### filter

          boolean filter(E element)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html